// Garden Gnome Software - Skin
// Pano2VR pro 4.5.3/10717
// Filename: tour_skin.ggsk
// Generated wo apr. 1 19:11:03 2015

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._ground_floor_trigger=document.createElement('div');
		this._ground_floor_trigger.ggId="ground floor trigger";
		this._ground_floor_trigger.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ground_floor_trigger.ggVisible=true;
		this._ground_floor_trigger.className='ggskin ggskin_mark';
		this._ground_floor_trigger.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 52px;';
		hs+='top:  158px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ground_floor_trigger.setAttribute('style',hs);
		this._ground_floor_trigger.ggMarkerNodeId='gf';
		nodeMarker.push(this._ground_floor_trigger);
		this._ground_floor_trigger.onclick=function () {
			me.player.openNext('gf');
		}
		this._ground_floor_trigger.ggActivate=function () {
			me._ground_floor_select.onclick();
		}
		this.divSkin.appendChild(this._ground_floor_trigger);
		this._first_floor_trigger=document.createElement('div');
		this._first_floor_trigger.ggId="first floor trigger";
		this._first_floor_trigger.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._first_floor_trigger.ggVisible=true;
		this._first_floor_trigger.className='ggskin ggskin_mark';
		this._first_floor_trigger.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 45px;';
		hs+='top:  156px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._first_floor_trigger.setAttribute('style',hs);
		this._first_floor_trigger.ggMarkerNodeId='ff';
		nodeMarker.push(this._first_floor_trigger);
		this._first_floor_trigger.onclick=function () {
			me.player.openNext('ff');
		}
		this._first_floor_trigger.ggActivate=function () {
			me._first_floor_select.onclick();
		}
		this.divSkin.appendChild(this._first_floor_trigger);
		this._second_floor_trigger=document.createElement('div');
		this._second_floor_trigger.ggId="second floor trigger";
		this._second_floor_trigger.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._second_floor_trigger.ggVisible=true;
		this._second_floor_trigger.className='ggskin ggskin_mark';
		this._second_floor_trigger.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 57px;';
		hs+='top:  157px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._second_floor_trigger.setAttribute('style',hs);
		this._second_floor_trigger.ggMarkerNodeId='sf';
		nodeMarker.push(this._second_floor_trigger);
		this._second_floor_trigger.onclick=function () {
			me.player.openNext('sf');
		}
		this._second_floor_trigger.ggActivate=function () {
			me._second_floor_select.onclick();
		}
		this.divSkin.appendChild(this._second_floor_trigger);
		this._floor_plan_bg=document.createElement('div');
		this._floor_plan_bg.ggId="floor_plan_bg";
		this._floor_plan_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_plan_bg.ggVisible=true;
		this._floor_plan_bg.className='ggskin ggskin_rectangle';
		this._floor_plan_bg.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -401px;';
		hs+='top:  9px;';
		hs+='width: 398px;';
		hs+='height: 476px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #ff702e;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._floor_plan_bg.setAttribute('style',hs);
		this._ground_floor_select=document.createElement('div');
		this._ground_floor_select.ggId="ground_floor_select";
		this._ground_floor_select.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ground_floor_select.ggVisible=true;
		this._ground_floor_select.className='ggskin ggskin_rectangle';
		this._ground_floor_select.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  442px;';
		hs+='width: 98px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._ground_floor_select.setAttribute('style',hs);
		this._ground_floor_select.onclick=function () {
			me._floor_location.style[domTransition]='none';
			me._floor_location.ggParameter.rx=11;me._floor_location.ggParameter.ry=445;
			me._floor_location.style[domTransform]=parameterToTransform(me._floor_location.ggParameter);
			if (me.player.transitionsDisabled) {
				me._floorplans.style[domTransition]='none';
			} else {
				me._floorplans.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floorplans.ggParameter.rx=0;me._floorplans.ggParameter.ry=0;
			me._floorplans.style[domTransform]=parameterToTransform(me._floorplans.ggParameter);
		}
		this._gf_text=document.createElement('div');
		this._gf_text__text=document.createElement('div');
		this._gf_text.className='ggskin ggskin_textdiv';
		this._gf_text.ggTextDiv=this._gf_text__text;
		this._gf_text.ggId="gf_text";
		this._gf_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gf_text.ggVisible=true;
		this._gf_text.className='ggskin ggskin_text';
		this._gf_text.ggType='text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  2px;';
		hs+='width: 98px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._gf_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 98px;';
		hs+='height: 17px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ff702e;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._gf_text__text.setAttribute('style',hs);
		this._gf_text.ggTextDiv.innerHTML="Begane grond";
		this._gf_text.appendChild(this._gf_text__text);
		this._ground_floor_select.appendChild(this._gf_text);
		this._ground_floor_hit=document.createElement('div');
		this._ground_floor_hit.ggId="ground_floor_hit";
		this._ground_floor_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ground_floor_hit.ggVisible=true;
		this._ground_floor_hit.className='ggskin ggskin_rectangle';
		this._ground_floor_hit.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 102px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._ground_floor_hit.setAttribute('style',hs);
		this._ground_floor_select.appendChild(this._ground_floor_hit);
		this._floor_plan_bg.appendChild(this._ground_floor_select);
		this._first_floor_select=document.createElement('div');
		this._first_floor_select.ggId="first_floor_select";
		this._first_floor_select.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._first_floor_select.ggVisible=true;
		this._first_floor_select.className='ggskin ggskin_rectangle';
		this._first_floor_select.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 122px;';
		hs+='top:  442px;';
		hs+='width: 139px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._first_floor_select.setAttribute('style',hs);
		this._first_floor_select.onclick=function () {
			me._floor_location.style[domTransition]='none';
			me._floor_location.ggParameter.rx=125;me._floor_location.ggParameter.ry=445;
			me._floor_location.style[domTransform]=parameterToTransform(me._floor_location.ggParameter);
			if (me.player.transitionsDisabled) {
				me._floorplans.style[domTransition]='none';
			} else {
				me._floorplans.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floorplans.ggParameter.rx=0;me._floorplans.ggParameter.ry=400;
			me._floorplans.style[domTransform]=parameterToTransform(me._floorplans.ggParameter);
		}
		this._ff_text=document.createElement('div');
		this._ff_text__text=document.createElement('div');
		this._ff_text.className='ggskin ggskin_textdiv';
		this._ff_text.ggTextDiv=this._ff_text__text;
		this._ff_text.ggId="ff_text";
		this._ff_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ff_text.ggVisible=true;
		this._ff_text.className='ggskin ggskin_text';
		this._ff_text.ggType='text';
		hs ='position:absolute;';
		hs+='left: 17px;';
		hs+='top:  3px;';
		hs+='width: 98px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ff_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 98px;';
		hs+='height: 17px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ff702e;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._ff_text__text.setAttribute('style',hs);
		this._ff_text.ggTextDiv.innerHTML="Eerste verdieping";
		this._ff_text.appendChild(this._ff_text__text);
		this._first_floor_select.appendChild(this._ff_text);
		this._first_floor_hit=document.createElement('div');
		this._first_floor_hit.ggId="first_floor_hit";
		this._first_floor_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._first_floor_hit.ggVisible=true;
		this._first_floor_hit.className='ggskin ggskin_rectangle';
		this._first_floor_hit.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 4px;';
		hs+='top:  3px;';
		hs+='width: 130px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._first_floor_hit.setAttribute('style',hs);
		this._first_floor_select.appendChild(this._first_floor_hit);
		this._floor_plan_bg.appendChild(this._first_floor_select);
		this._second_floor_select=document.createElement('div');
		this._second_floor_select.ggId="second_floor_select";
		this._second_floor_select.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._second_floor_select.ggVisible=true;
		this._second_floor_select.className='ggskin ggskin_rectangle';
		this._second_floor_select.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 282px;';
		hs+='top:  442px;';
		hs+='width: 98px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._second_floor_select.setAttribute('style',hs);
		this._second_floor_select.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._floorplans.style[domTransition]='none';
			} else {
				me._floorplans.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floorplans.ggParameter.rx=0;me._floorplans.ggParameter.ry=800;
			me._floorplans.style[domTransform]=parameterToTransform(me._floorplans.ggParameter);
			me._floor_location.style[domTransition]='none';
			me._floor_location.ggParameter.rx=285;me._floor_location.ggParameter.ry=445;
			me._floor_location.style[domTransform]=parameterToTransform(me._floor_location.ggParameter);
		}
		this._sf_text=document.createElement('div');
		this._sf_text__text=document.createElement('div');
		this._sf_text.className='ggskin ggskin_textdiv';
		this._sf_text.ggTextDiv=this._sf_text__text;
		this._sf_text.ggId="sf_text";
		this._sf_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._sf_text.ggVisible=true;
		this._sf_text.className='ggskin ggskin_text';
		this._sf_text.ggType='text';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  3px;';
		hs+='width: 98px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._sf_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 98px;';
		hs+='height: 17px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ff702e;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._sf_text__text.setAttribute('style',hs);
		this._sf_text.ggTextDiv.innerHTML="Tuin";
		this._sf_text.appendChild(this._sf_text__text);
		this._second_floor_select.appendChild(this._sf_text);
		this._second_floor_hit=document.createElement('div');
		this._second_floor_hit.ggId="second_floor_hit";
		this._second_floor_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._second_floor_hit.ggVisible=true;
		this._second_floor_hit.className='ggskin ggskin_rectangle';
		this._second_floor_hit.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -1px;';
		hs+='width: 102px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._second_floor_hit.setAttribute('style',hs);
		this._second_floor_select.appendChild(this._second_floor_hit);
		this._floor_plan_bg.appendChild(this._second_floor_select);
		this._floor_location=document.createElement('div');
		this._floor_location.ggId="floor_location";
		this._floor_location.ggParameter={ rx:0,ry:0,a:0,sx:0.8,sy:0.8 };
		this._floor_location.ggVisible=true;
		this._floor_location.className='ggskin ggskin_rectangle';
		this._floor_location.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 21px;';
		hs+='top:  2px;';
		hs+='width: 65px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._floor_location.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 4px solid #ff0000;';
		hs+='border-radius: 22px;';
		hs+=cssPrefix + 'border-radius: 22px;';
		this._floor_location.setAttribute('style',hs);
		this._floor_plan_bg.appendChild(this._floor_location);
		this._button_close=document.createElement('div');
		this._button_close.ggId="button_close";
		this._button_close.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_close.ggVisible=true;
		this._button_close.className='ggskin ggskin_rectangle';
		this._button_close.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 342px;';
		hs+='top:  2px;';
		hs+='width: 46px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._button_close.setAttribute('style',hs);
		this._button_close.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._floor_plan_bg.style[domTransition]='none';
			} else {
				me._floor_plan_bg.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floor_plan_bg.ggParameter.rx=0;me._floor_plan_bg.ggParameter.ry=0;
			me._floor_plan_bg.style[domTransform]=parameterToTransform(me._floor_plan_bg.ggParameter);
			me._floorplan_open.style[domTransition]='none';
			me._floorplan_open.ggParameter.sx=1;me._floorplan_open.ggParameter.sy=1;
			me._floorplan_open.style[domTransform]=parameterToTransform(me._floorplan_open.ggParameter);
			me._floorplan_close.style[domTransition]='none';
			me._floorplan_close.ggParameter.sx=0;me._floorplan_close.ggParameter.sy=0;
			me._floorplan_close.style[domTransform]=parameterToTransform(me._floorplan_close.ggParameter);
		}
		this._close_text=document.createElement('div');
		this._close_text__text=document.createElement('div');
		this._close_text.className='ggskin ggskin_textdiv';
		this._close_text.ggTextDiv=this._close_text__text;
		this._close_text.ggId="close_text";
		this._close_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._close_text.ggVisible=true;
		this._close_text.className='ggskin ggskin_text';
		this._close_text.ggType='text';
		hs ='position:absolute;';
		hs+='left: 6px;';
		hs+='top:  4px;';
		hs+='width: 35px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._close_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 35px;';
		hs+='height: 17px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._close_text__text.setAttribute('style',hs);
		this._close_text.ggTextDiv.innerHTML="Close";
		this._close_text.appendChild(this._close_text__text);
		this._button_close.appendChild(this._close_text);
		this._button_close_hit=document.createElement('div');
		this._button_close_hit.ggId="button_close_hit";
		this._button_close_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_close_hit.ggVisible=true;
		this._button_close_hit.className='ggskin ggskin_rectangle';
		this._button_close_hit.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 24px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._button_close_hit.setAttribute('style',hs);
		this._button_close.appendChild(this._button_close_hit);
		this._floor_plan_bg.appendChild(this._button_close);
		this._mask=document.createElement('div');
		this._mask.ggId="mask";
		this._mask.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mask.ggVisible=true;
		this._mask.className='ggskin ggskin_container';
		this._mask.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  39px;';
		hs+='width: 395px;';
		hs+='height: 390px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mask.setAttribute('style',hs);
		this._floorplans=document.createElement('div');
		this._floorplans.ggId="floorplans";
		this._floorplans.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplans.ggVisible=true;
		this._floorplans.className='ggskin ggskin_container';
		this._floorplans.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 310px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._floorplans.setAttribute('style',hs);
		this._groundfloor=document.createElement('div');
		this._groundfloor.ggId="groundfloor";
		this._groundfloor.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._groundfloor.ggVisible=true;
		this._groundfloor.className='ggskin ggskin_image';
		this._groundfloor.ggType='image';
		hs ='position:absolute;';
		hs+='left: 7px;';
		hs+='top:  9px;';
		hs+='width: 377px;';
		hs+='height: 294px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._groundfloor.setAttribute('style',hs);
		this._groundfloor__img=document.createElement('img');
		this._groundfloor__img.className='ggskin ggskin_image';
		this._groundfloor__img.setAttribute('src',basePath + 'images/groundfloor.png');
		this._groundfloor__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._groundfloor__img.className='ggskin ggskin_image';
		this._groundfloor__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._groundfloor__img);
		this._groundfloor.appendChild(this._groundfloor__img);
		this._floorplans.appendChild(this._groundfloor);
		this._firstfloor=document.createElement('div');
		this._firstfloor.ggId="firstfloor";
		this._firstfloor.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._firstfloor.ggVisible=true;
		this._firstfloor.className='ggskin ggskin_image';
		this._firstfloor.ggType='image';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -400px;';
		hs+='width: 377px;';
		hs+='height: 294px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._firstfloor.setAttribute('style',hs);
		this._firstfloor__img=document.createElement('img');
		this._firstfloor__img.className='ggskin ggskin_image';
		this._firstfloor__img.setAttribute('src',basePath + 'images/firstfloor.png');
		this._firstfloor__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._firstfloor__img.className='ggskin ggskin_image';
		this._firstfloor__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._firstfloor__img);
		this._firstfloor.appendChild(this._firstfloor__img);
		this._floorplans.appendChild(this._firstfloor);
		this._secondfloor=document.createElement('div');
		this._secondfloor.ggId="secondfloor";
		this._secondfloor.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._secondfloor.ggVisible=true;
		this._secondfloor.className='ggskin ggskin_image';
		this._secondfloor.ggType='image';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -800px;';
		hs+='width: 310px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._secondfloor.setAttribute('style',hs);
		this._secondfloor__img=document.createElement('img');
		this._secondfloor__img.className='ggskin ggskin_image';
		this._secondfloor__img.setAttribute('src',basePath + 'images/secondfloor.png');
		this._secondfloor__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._secondfloor__img.className='ggskin ggskin_image';
		this._secondfloor__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._secondfloor__img);
		this._secondfloor.appendChild(this._secondfloor__img);
		this._floorplans.appendChild(this._secondfloor);
		this._marker_node1=document.createElement('div');
		this._marker_node1.ggId="marker_node1";
		this._marker_node1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node1.ggVisible=true;
		this._marker_node1.className='ggskin ggskin_mark';
		this._marker_node1.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 184px;';
		hs+='top:  209px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_node1.setAttribute('style',hs);
		this._marker_node1.ggMarkerNodeId='{node1}';
		nodeMarker.push(this._marker_node1);
		this._marker_node1.onclick=function () {
			me.player.openNext('{node1}');
		}
		this._marker_node1.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=184;me._mh_radar.ggParameter.ry=209;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._marker_node1);
		this._marker_node2=document.createElement('div');
		this._marker_node2.ggId="marker_node2";
		this._marker_node2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node2.ggVisible=true;
		this._marker_node2.className='ggskin ggskin_mark';
		this._marker_node2.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 252px;';
		hs+='top:  107px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_node2.setAttribute('style',hs);
		this._marker_node2.ggMarkerNodeId='{node2}';
		nodeMarker.push(this._marker_node2);
		this._marker_node2.onclick=function () {
			me.player.openNext('{node2}');
		}
		this._marker_node2.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=252;me._mh_radar.ggParameter.ry=107;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._marker_node2);
		this._marker_node3=document.createElement('div');
		this._marker_node3.ggId="marker_node3";
		this._marker_node3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node3.ggVisible=true;
		this._marker_node3.className='ggskin ggskin_mark';
		this._marker_node3.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 529px;';
		hs+='top:  297px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_node3.setAttribute('style',hs);
		this._marker_node3.ggMarkerNodeId='{node3}';
		nodeMarker.push(this._marker_node3);
		this._marker_node3.onclick=function () {
			me.player.openNext('{node3}');
		}
		this._marker_node3.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=529;me._mh_radar.ggParameter.ry=297;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._marker_node3);
		this._marker_node4=document.createElement('div');
		this._marker_node4.ggId="marker_node4";
		this._marker_node4.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node4.ggVisible=true;
		this._marker_node4.className='ggskin ggskin_mark';
		this._marker_node4.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 574px;';
		hs+='top:  296px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._marker_node4.setAttribute('style',hs);
		this._marker_node4.ggMarkerNodeId='{node4}';
		nodeMarker.push(this._marker_node4);
		this._marker_node4.onclick=function () {
			me.player.openNext('{node4}');
		}
		this._marker_node4.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=574;me._mh_radar.ggParameter.ry=296;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._marker_node4);
		this._marker_node5=document.createElement('div');
		this._marker_node5.ggId="marker_node5";
		this._marker_node5.ggParameter={ rx:0,ry:0,a:0,sx:1.5,sy:1 };
		this._marker_node5.ggVisible=true;
		this._marker_node5.className='ggskin ggskin_mark';
		this._marker_node5.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 626px;';
		hs+='top:  297px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._marker_node5.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._marker_node5.setAttribute('style',hs);
		this._marker_node5.ggMarkerNodeId='{node5}';
		nodeMarker.push(this._marker_node5);
		this._marker_node5.onclick=function () {
			me.player.openNext('{node5}');
		}
		this._marker_node5.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=626;me._mh_radar.ggParameter.ry=297;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._marker_node5);
		this._mh_radar=document.createElement('div');
		this._mh_radar.ggId="mh_radar";
		this._mh_radar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mh_radar.ggVisible=true;
		this._mh_radar.className='ggskin ggskin_container';
		this._mh_radar.ggType='container';
		hs ='position:absolute;';
		hs+='left: 2px;';
		hs+='top:  -17px;';
		hs+='width: 55px;';
		hs+='height: 56px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._mh_radar.setAttribute('style',hs);
		this._radar_ring=document.createElement('div');
		this._radar_ring.ggId="radar_ring";
		this._radar_ring.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._radar_ring.ggVisible=true;
		this._radar_ring.className='ggskin ggskin_rectangle';
		this._radar_ring.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  6px;';
		hs+='width: 43px;';
		hs+='height: 43px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #ffff00;';
		hs+='border-radius: 992px;';
		hs+=cssPrefix + 'border-radius: 992px;';
		this._radar_ring.setAttribute('style',hs);
		this._mh_radar.appendChild(this._radar_ring);
		this._radar_dot=document.createElement('div');
		this._radar_dot.ggId="radar_dot";
		this._radar_dot.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._radar_dot.ggVisible=true;
		this._radar_dot.className='ggskin ggskin_rectangle';
		this._radar_dot.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 34px;';
		hs+='top:  18px;';
		hs+='width: 6px;';
		hs+='height: 6px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffaa00;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._radar_dot.setAttribute('style',hs);
		this._mh_radar.appendChild(this._radar_dot);
		this._floorplans.appendChild(this._mh_radar);
		this._mask.appendChild(this._floorplans);
		this._floor_plan_bg.appendChild(this._mask);
		this.divSkin.appendChild(this._floor_plan_bg);
		this._control=document.createElement('div');
		this._control.ggId="control";
		this._control.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._control.ggVisible=true;
		this._control.className='ggskin ggskin_container';
		this._control.ggType='container';
		this._control.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-157 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-38 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -157px;';
		hs+='top:  -38px;';
		hs+='width: 314px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._control.setAttribute('style',hs);
		this._floorplan_open=document.createElement('div');
		this._floorplan_open.ggId="floorplan_open";
		this._floorplan_open.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_open.ggVisible=true;
		this._floorplan_open.className='ggskin ggskin_rectangle';
		this._floorplan_open.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 192px;';
		hs+='top:  -2px;';
		hs+='width: 116px;';
		hs+='height: 22px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._floorplan_open.setAttribute('style',hs);
		this._floorplan_open.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._floor_plan_bg.style[domTransition]='none';
			} else {
				me._floor_plan_bg.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floor_plan_bg.ggParameter.rx=404;me._floor_plan_bg.ggParameter.ry=0;
			me._floor_plan_bg.style[domTransform]=parameterToTransform(me._floor_plan_bg.ggParameter);
			me._floorplan_open.style[domTransition]='none';
			me._floorplan_open.ggParameter.sx=0;me._floorplan_open.ggParameter.sy=0;
			me._floorplan_open.style[domTransform]=parameterToTransform(me._floorplan_open.ggParameter);
			me._floorplan_close.style[domTransition]='none';
			me._floorplan_close.ggParameter.sx=1;me._floorplan_close.ggParameter.sy=1;
			me._floorplan_close.style[domTransform]=parameterToTransform(me._floorplan_close.ggParameter);
		}
		this._floorplan_open_text=document.createElement('div');
		this._floorplan_open_text__text=document.createElement('div');
		this._floorplan_open_text.className='ggskin ggskin_textdiv';
		this._floorplan_open_text.ggTextDiv=this._floorplan_open_text__text;
		this._floorplan_open_text.ggId="floorplan_open_text";
		this._floorplan_open_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_open_text.ggVisible=true;
		this._floorplan_open_text.className='ggskin ggskin_text';
		this._floorplan_open_text.ggType='text';
		this._floorplan_open_text.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.ggTextDiv.style.left=Math.floor(0 + (98-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  2px;';
		hs+='width: 98px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._floorplan_open_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._floorplan_open_text__text.setAttribute('style',hs);
		this._floorplan_open_text.ggTextDiv.innerHTML="bekijk plattegrond";
		this._floorplan_open_text.appendChild(this._floorplan_open_text__text);
		this._floorplan_open.appendChild(this._floorplan_open_text);
		this._floorplan_open_hit=document.createElement('div');
		this._floorplan_open_hit.ggId="floorplan_open_hit";
		this._floorplan_open_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_open_hit.ggVisible=true;
		this._floorplan_open_hit.className='ggskin ggskin_rectangle';
		this._floorplan_open_hit.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 120px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._floorplan_open_hit.setAttribute('style',hs);
		this._floorplan_open.appendChild(this._floorplan_open_hit);
		this._control.appendChild(this._floorplan_open);
		this._floorplan_close=document.createElement('div');
		this._floorplan_close.ggId="floorplan_close";
		this._floorplan_close.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._floorplan_close.ggVisible=true;
		this._floorplan_close.className='ggskin ggskin_rectangle';
		this._floorplan_close.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 192px;';
		hs+='top:  -2px;';
		hs+='width: 116px;';
		hs+='height: 22px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._floorplan_close.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._floorplan_close.setAttribute('style',hs);
		this._floorplan_close.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._floor_plan_bg.style[domTransition]='none';
			} else {
				me._floor_plan_bg.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floor_plan_bg.ggParameter.rx=0;me._floor_plan_bg.ggParameter.ry=0;
			me._floor_plan_bg.style[domTransform]=parameterToTransform(me._floor_plan_bg.ggParameter);
			me._floorplan_close.style[domTransition]='none';
			me._floorplan_close.ggParameter.sx=0;me._floorplan_close.ggParameter.sy=0;
			me._floorplan_close.style[domTransform]=parameterToTransform(me._floorplan_close.ggParameter);
			me._floorplan_open.style[domTransition]='none';
			me._floorplan_open.ggParameter.sx=1;me._floorplan_open.ggParameter.sy=1;
			me._floorplan_open.style[domTransform]=parameterToTransform(me._floorplan_open.ggParameter);
		}
		this._floorplan_close_text=document.createElement('div');
		this._floorplan_close_text__text=document.createElement('div');
		this._floorplan_close_text.className='ggskin ggskin_textdiv';
		this._floorplan_close_text.ggTextDiv=this._floorplan_close_text__text;
		this._floorplan_close_text.ggId="floorplan_close_text";
		this._floorplan_close_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_close_text.ggVisible=true;
		this._floorplan_close_text.className='ggskin ggskin_text';
		this._floorplan_close_text.ggType='text';
		this._floorplan_close_text.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.ggTextDiv.style.left=Math.floor(0 + (98-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  2px;';
		hs+='width: 98px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._floorplan_close_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._floorplan_close_text__text.setAttribute('style',hs);
		this._floorplan_close_text.ggTextDiv.innerHTML="Sluit  plattegrond";
		this._floorplan_close_text.appendChild(this._floorplan_close_text__text);
		this._floorplan_close.appendChild(this._floorplan_close_text);
		this._floorplan_close_hit=document.createElement('div');
		this._floorplan_close_hit.ggId="floorplan_close_hit";
		this._floorplan_close_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_close_hit.ggVisible=true;
		this._floorplan_close_hit.className='ggskin ggskin_rectangle';
		this._floorplan_close_hit.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 120px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._floorplan_close_hit.setAttribute('style',hs);
		this._floorplan_close.appendChild(this._floorplan_close_hit);
		this._control.appendChild(this._floorplan_close);
		this._button_zoomin=document.createElement('div');
		this._button_zoomin.ggId="button_zoomin";
		this._button_zoomin.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomin.ggVisible=true;
		this._button_zoomin.className='ggskin ggskin_rectangle';
		this._button_zoomin.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 86px;';
		hs+='height: 22px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._button_zoomin.setAttribute('style',hs);
		this._button_zoomin.onmouseout=function () {
			me.elementMouseDown['button_zoomin']=false;
		}
		this._button_zoomin.onmousedown=function () {
			me.elementMouseDown['button_zoomin']=true;
		}
		this._button_zoomin.onmouseup=function () {
			me.elementMouseDown['button_zoomin']=false;
		}
		this._button_zoomin.ontouchend=function () {
			me.elementMouseDown['button_zoomin']=false;
		}
		this._text_zoomin0=document.createElement('div');
		this._text_zoomin0__text=document.createElement('div');
		this._text_zoomin0.className='ggskin ggskin_textdiv';
		this._text_zoomin0.ggTextDiv=this._text_zoomin0__text;
		this._text_zoomin0.ggId="text_zoomin";
		this._text_zoomin0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_zoomin0.ggVisible=true;
		this._text_zoomin0.className='ggskin ggskin_text';
		this._text_zoomin0.ggType='text';
		this._text_zoomin0.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.ggTextDiv.style.left=Math.floor(0 + (78-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: 78px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._text_zoomin0.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_zoomin0__text.setAttribute('style',hs);
		this._text_zoomin0.ggTextDiv.innerHTML="Zoom In";
		this._text_zoomin0.appendChild(this._text_zoomin0__text);
		this._button_zoomin.appendChild(this._text_zoomin0);
		this._button_zoomin_hit=document.createElement('div');
		this._button_zoomin_hit.ggId="button_zoomin_hit";
		this._button_zoomin_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomin_hit.ggVisible=true;
		this._button_zoomin_hit.className='ggskin ggskin_rectangle';
		this._button_zoomin_hit.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 90px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._button_zoomin_hit.setAttribute('style',hs);
		this._button_zoomin.appendChild(this._button_zoomin_hit);
		this._control.appendChild(this._button_zoomin);
		this._button_zoomout=document.createElement('div');
		this._button_zoomout.ggId="button_zoomout";
		this._button_zoomout.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomout.ggVisible=true;
		this._button_zoomout.className='ggskin ggskin_rectangle';
		this._button_zoomout.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 96px;';
		hs+='top:  -2px;';
		hs+='width: 86px;';
		hs+='height: 22px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._button_zoomout.setAttribute('style',hs);
		this._button_zoomout.onmouseout=function () {
			me.elementMouseDown['button_zoomout']=false;
		}
		this._button_zoomout.onmousedown=function () {
			me.elementMouseDown['button_zoomout']=true;
		}
		this._button_zoomout.onmouseup=function () {
			me.elementMouseDown['button_zoomout']=false;
		}
		this._button_zoomout.ontouchend=function () {
			me.elementMouseDown['button_zoomout']=false;
		}
		this._text_zoomin=document.createElement('div');
		this._text_zoomin__text=document.createElement('div');
		this._text_zoomin.className='ggskin ggskin_textdiv';
		this._text_zoomin.ggTextDiv=this._text_zoomin__text;
		this._text_zoomin.ggId="text_zoomin";
		this._text_zoomin.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_zoomin.ggVisible=true;
		this._text_zoomin.className='ggskin ggskin_text';
		this._text_zoomin.ggType='text';
		this._text_zoomin.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.ggTextDiv.style.left=Math.floor(0 + (78-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: 78px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._text_zoomin.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_zoomin__text.setAttribute('style',hs);
		this._text_zoomin.ggTextDiv.innerHTML="Zoom uit";
		this._text_zoomin.appendChild(this._text_zoomin__text);
		this._button_zoomout.appendChild(this._text_zoomin);
		this._button_zoomout_hit=document.createElement('div');
		this._button_zoomout_hit.ggId="button_zoomout_hit";
		this._button_zoomout_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomout_hit.ggVisible=true;
		this._button_zoomout_hit.className='ggskin ggskin_rectangle';
		this._button_zoomout_hit.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 90px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._button_zoomout_hit.setAttribute('style',hs);
		this._button_zoomout.appendChild(this._button_zoomout_hit);
		this._control.appendChild(this._button_zoomout);
		this.divSkin.appendChild(this._control);
		this._hide_mh=document.createElement('div');
		this._hide_mh.ggId="hide_mh";
		this._hide_mh.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hide_mh.ggVisible=false;
		this._hide_mh.className='ggskin ggskin_container';
		this._hide_mh.ggType='container';
		this._hide_mh.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-127 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -127px;';
		hs+='top:  10px;';
		hs+='width: 114px;';
		hs+='height: 39px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._hide_mh.setAttribute('style',hs);
		this._markertemplate=document.createElement('div');
		this._markertemplate.ggId="markertemplate";
		this._markertemplate.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._markertemplate.ggVisible=true;
		this._markertemplate.className='ggskin ggskin_mark';
		this._markertemplate.ggType='mark';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._markertemplate.setAttribute('style',hs);
		this._markertemplate.ggMarkerNodeId='';
		nodeMarker.push(this._markertemplate);
		this._markertemplate.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=0;me._mh_radar.ggParameter.ry=0;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._hide_mh.appendChild(this._markertemplate);
		this._mhn=document.createElement('div');
		this._mhn.ggId="mhn";
		this._mhn.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhn.ggVisible=true;
		this._mhn.className='ggskin ggskin_container';
		this._mhn.ggType='container';
		hs ='position:absolute;';
		hs+='left: 41px;';
		hs+='top:  0px;';
		hs+='width: 40px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mhn.setAttribute('style',hs);
		this._mhn_image=document.createElement('div');
		this._mhn_image.ggId="mhn_image";
		this._mhn_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhn_image.ggVisible=true;
		this._mhn_image.className='ggskin ggskin_rectangle';
		this._mhn_image.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 9px;';
		hs+='top:  9px;';
		hs+='width: 18px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #0000ff;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._mhn_image.setAttribute('style',hs);
		this._mhn.appendChild(this._mhn_image);
		this._hide_mh.appendChild(this._mhn);
		this._mha=document.createElement('div');
		this._mha.ggId="mha";
		this._mha.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mha.ggVisible=true;
		this._mha.className='ggskin ggskin_container';
		this._mha.ggType='container';
		hs ='position:absolute;';
		hs+='left: 69px;';
		hs+='top:  0px;';
		hs+='width: 40px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mha.setAttribute('style',hs);
		this._mha_image=document.createElement('div');
		this._mha_image.ggId="mha_image";
		this._mha_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mha_image.ggVisible=true;
		this._mha_image.className='ggskin ggskin_rectangle';
		this._mha_image.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 9px;';
		hs+='top:  9px;';
		hs+='width: 18px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #ff0000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._mha_image.setAttribute('style',hs);
		this._mha.appendChild(this._mha_image);
		this._hide_mh.appendChild(this._mha);
		this.divSkin.appendChild(this._hide_mh);
		this._loader=document.createElement('div');
		this._loader.ggId="loader";
		this._loader.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loader.ggVisible=true;
		this._loader.className='ggskin ggskin_rectangle';
		this._loader.ggType='rectangle';
		this._loader.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-117 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -117px;';
		hs+='top:  276px;';
		hs+='width: 226px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._loader.setAttribute('style',hs);
		this._loadbar=document.createElement('div');
		this._loadbar.ggId="loadbar";
		this._loadbar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadbar.ggVisible=true;
		this._loadbar.className='ggskin ggskin_rectangle';
		this._loadbar.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 13px;';
		hs+='top:  6px;';
		hs+='width: 200px;';
		hs+='height: 11px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #0000ff;';
		hs+='border: 0px solid #000000;';
		this._loadbar.setAttribute('style',hs);
		this._loader.appendChild(this._loadbar);
		this.divSkin.appendChild(this._loader);
		this._ground_floor_trigger.ggMarkerNormal=null;
		this._ground_floor_trigger.ggMarkerActive=null;
		this._first_floor_trigger.ggMarkerNormal=null;
		this._first_floor_trigger.ggMarkerActive=null;
		this._second_floor_trigger.ggMarkerNormal=null;
		this._second_floor_trigger.ggMarkerActive=null;
		me._floor_location.style[domTransition]='none';
		me._floor_location.ggParameter.rx=11;me._floor_location.ggParameter.ry=445;
		me._floor_location.style[domTransform]=parameterToTransform(me._floor_location.ggParameter);
		this._marker_node1__normal=this._mhn.cloneNode(true);
		this._marker_node1__normal.style.visibility='inherit';
		this._marker_node1__normal.style.left=0;
		this._marker_node1__normal.style.top=0;
		this._marker_node1.ggMarkerNormal=this._marker_node1__normal;
		this._marker_node1__active=this._mha.cloneNode(true);
		this._marker_node1__active.style.visibility='hidden';
		this._marker_node1__active.style.left=0;
		this._marker_node1__active.style.top=0;
		this._marker_node1.ggMarkerActive=this._marker_node1__active;
		if (this._marker_node1.firstChild) {
			this._marker_node1.insertBefore(this._marker_node1__active,this._marker_node1.firstChild);
		} else {
			this._marker_node1.appendChild(this._marker_node1__active);
		}
		if (this._marker_node1.firstChild) {
			this._marker_node1.insertBefore(this._marker_node1__normal,this._marker_node1.firstChild);
		} else {
			this._marker_node1.appendChild(this._marker_node1__normal);
		}
		this._marker_node2__normal=this._mhn.cloneNode(true);
		this._marker_node2__normal.style.visibility='inherit';
		this._marker_node2__normal.style.left=0;
		this._marker_node2__normal.style.top=0;
		this._marker_node2.ggMarkerNormal=this._marker_node2__normal;
		this._marker_node2__active=this._mha.cloneNode(true);
		this._marker_node2__active.style.visibility='hidden';
		this._marker_node2__active.style.left=0;
		this._marker_node2__active.style.top=0;
		this._marker_node2.ggMarkerActive=this._marker_node2__active;
		if (this._marker_node2.firstChild) {
			this._marker_node2.insertBefore(this._marker_node2__active,this._marker_node2.firstChild);
		} else {
			this._marker_node2.appendChild(this._marker_node2__active);
		}
		if (this._marker_node2.firstChild) {
			this._marker_node2.insertBefore(this._marker_node2__normal,this._marker_node2.firstChild);
		} else {
			this._marker_node2.appendChild(this._marker_node2__normal);
		}
		this._marker_node3__normal=this._mhn.cloneNode(true);
		this._marker_node3__normal.style.visibility='inherit';
		this._marker_node3__normal.style.left=0;
		this._marker_node3__normal.style.top=0;
		this._marker_node3.ggMarkerNormal=this._marker_node3__normal;
		this._marker_node3__active=this._mha.cloneNode(true);
		this._marker_node3__active.style.visibility='hidden';
		this._marker_node3__active.style.left=0;
		this._marker_node3__active.style.top=0;
		this._marker_node3.ggMarkerActive=this._marker_node3__active;
		if (this._marker_node3.firstChild) {
			this._marker_node3.insertBefore(this._marker_node3__active,this._marker_node3.firstChild);
		} else {
			this._marker_node3.appendChild(this._marker_node3__active);
		}
		if (this._marker_node3.firstChild) {
			this._marker_node3.insertBefore(this._marker_node3__normal,this._marker_node3.firstChild);
		} else {
			this._marker_node3.appendChild(this._marker_node3__normal);
		}
		this._marker_node4__normal=this._mhn.cloneNode(true);
		this._marker_node4__normal.style.visibility='inherit';
		this._marker_node4__normal.style.left=0;
		this._marker_node4__normal.style.top=0;
		this._marker_node4.ggMarkerNormal=this._marker_node4__normal;
		this._marker_node4__active=this._mha.cloneNode(true);
		this._marker_node4__active.style.visibility='hidden';
		this._marker_node4__active.style.left=0;
		this._marker_node4__active.style.top=0;
		this._marker_node4.ggMarkerActive=this._marker_node4__active;
		if (this._marker_node4.firstChild) {
			this._marker_node4.insertBefore(this._marker_node4__active,this._marker_node4.firstChild);
		} else {
			this._marker_node4.appendChild(this._marker_node4__active);
		}
		if (this._marker_node4.firstChild) {
			this._marker_node4.insertBefore(this._marker_node4__normal,this._marker_node4.firstChild);
		} else {
			this._marker_node4.appendChild(this._marker_node4__normal);
		}
		this._marker_node5__normal=this._mhn.cloneNode(true);
		this._marker_node5__normal.style.visibility='inherit';
		this._marker_node5__normal.style.left=0;
		this._marker_node5__normal.style.top=0;
		this._marker_node5.ggMarkerNormal=this._marker_node5__normal;
		this._marker_node5__active=this._mha.cloneNode(true);
		this._marker_node5__active.style.visibility='hidden';
		this._marker_node5__active.style.left=0;
		this._marker_node5__active.style.top=0;
		this._marker_node5.ggMarkerActive=this._marker_node5__active;
		if (this._marker_node5.firstChild) {
			this._marker_node5.insertBefore(this._marker_node5__active,this._marker_node5.firstChild);
		} else {
			this._marker_node5.appendChild(this._marker_node5__active);
		}
		if (this._marker_node5.firstChild) {
			this._marker_node5.insertBefore(this._marker_node5__normal,this._marker_node5.firstChild);
		} else {
			this._marker_node5.appendChild(this._marker_node5__normal);
		}
		this._markertemplate__normal=this._mhn.cloneNode(true);
		this._markertemplate__normal.style.visibility='inherit';
		this._markertemplate__normal.style.left=0;
		this._markertemplate__normal.style.top=0;
		this._markertemplate.ggMarkerNormal=this._markertemplate__normal;
		this._markertemplate__active=this._mha.cloneNode(true);
		this._markertemplate__active.style.visibility='hidden';
		this._markertemplate__active.style.left=0;
		this._markertemplate__active.style.top=0;
		this._markertemplate.ggMarkerActive=this._markertemplate__active;
		if (this._markertemplate.firstChild) {
			this._markertemplate.insertBefore(this._markertemplate__active,this._markertemplate.firstChild);
		} else {
			this._markertemplate.appendChild(this._markertemplate__active);
		}
		if (this._markertemplate.firstChild) {
			this._markertemplate.insertBefore(this._markertemplate__normal,this._markertemplate.firstChild);
		} else {
			this._markertemplate.appendChild(this._markertemplate__normal);
		}
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._loader.style[domTransition]='none';
			me._loader.ggParameter.sx=0;me._loader.ggParameter.sy=0;
			me._loader.style[domTransform]=parameterToTransform(me._loader.ggParameter);
		}
		this.divSkin.ggReLoaded=function() {
			me._loader.style[domTransition]='none';
			me._loader.ggParameter.sx=1;me._loader.ggParameter.sy=1;
			me._loader.style[domTransform]=parameterToTransform(me._loader.ggParameter);
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		var hs='';
		if (me._mh_radar.ggParameter) {
			hs+=parameterToTransform(me._mh_radar.ggParameter) + ' ';
		}
		hs+='rotate(' + (-1.0*(1 * me.player.getPanNorth() + 0)) + 'deg) ';
		me._mh_radar.style[domTransform]=hs;
		if (me.elementMouseDown['button_zoomin']) {
			me.player.changeFovLog(-0.5,true);
		}
		if (me.elementMouseDown['button_zoomout']) {
			me.player.changeFovLog(0.5,true);
		}
		var hs='';
		if (me._loadbar.ggParameter) {
			hs+=parameterToTransform(me._loadbar.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loadbar.style[domTransform]=hs;
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId="hs";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 222px;';
			hs+='top:  179px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.player.openUrl(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me._tooltip.style[domTransition]='none';
				me._tooltip.ggParameter.sx=1;me._tooltip.ggParameter.sy=1;
				me._tooltip.style[domTransform]=parameterToTransform(me._tooltip.ggParameter);
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me._tooltip.style[domTransition]='none';
				me._tooltip.ggParameter.sx=0;me._tooltip.ggParameter.sy=0;
				me._tooltip.style[domTransform]=parameterToTransform(me._tooltip.ggParameter);
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hs_image=document.createElement('div');
			this._hs_image.ggId="hs_image";
			this._hs_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hs_image.ggVisible=true;
			this._hs_image.className='ggskin ggskin_rectangle';
			this._hs_image.ggType='rectangle';
			hs ='position:absolute;';
			hs+='left: 148px;';
			hs+='top:  303px;';
			hs+='width: 44px;';
			hs+='height: 40px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			hs+='background: #ffeeb0;';
			hs+='border: 5px solid #9c11ff;';
			hs+='border-radius: 15px;';
			hs+=cssPrefix + 'border-radius: 15px;';
			this._hs_image.setAttribute('style',hs);
			this._hs_image.onmouseover=function () {
				me.elementMouseOver['hs_image']=true;
			}
			this._hs_image.onmouseout=function () {
				me.elementMouseOver['hs_image']=false;
			}
			this._hs_image.ontouchend=function () {
				me.elementMouseOver['hs_image']=false;
			}
			this.__div.appendChild(this._hs_image);
			this._hs_red_dot=document.createElement('div');
			this._hs_red_dot.ggId="hs_red_dot";
			this._hs_red_dot.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hs_red_dot.ggVisible=true;
			this._hs_red_dot.className='ggskin ggskin_rectangle';
			this._hs_red_dot.ggType='rectangle';
			hs ='position:absolute;';
			hs+='left: 170px;';
			hs+='top:  359px;';
			hs+='width: 10px;';
			hs+='height: 10px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			hs+='background: #bb5cff;';
			hs+='border: 0px solid #000000;';
			hs+='border-radius: 999px;';
			hs+=cssPrefix + 'border-radius: 999px;';
			this._hs_red_dot.setAttribute('style',hs);
			this.__div.appendChild(this._hs_red_dot);
			this._tooltip=document.createElement('div');
			this._tooltip.ggId="tooltip";
			this._tooltip.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
			this._tooltip.ggVisible=true;
			this._tooltip.className='ggskin ggskin_container';
			this._tooltip.ggType='container';
			hs ='position:absolute;';
			hs+='left: 64px;';
			hs+='top:  277px;';
			hs+='width: 201px;';
			hs+='height: 21px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._tooltip.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._tooltip.setAttribute('style',hs);
			this._tooltip_bg=document.createElement('div');
			this._tooltip_bg__text=document.createElement('div');
			this._tooltip_bg.className='ggskin ggskin_textdiv';
			this._tooltip_bg.ggTextDiv=this._tooltip_bg__text;
			this._tooltip_bg.ggId="tooltip_bg";
			this._tooltip_bg.ggParameter={ rx:0,ry:0,a:0,sx:1.2,sy:1.2 };
			this._tooltip_bg.ggVisible=true;
			this._tooltip_bg.className='ggskin ggskin_text';
			this._tooltip_bg.ggType='text';
			this._tooltip_bg.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (198-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: 9px;';
			hs+='top:  -8px;';
			hs+='width: 198px;';
			hs+='height: 25px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._tooltip_bg.ggParameter) + ';';
			hs+='opacity: 0.6;';
			hs+='visibility: inherit;';
			this._tooltip_bg.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='background: #ffeeb9;';
			hs+='border: 0px solid #b0b0b0;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._tooltip_bg__text.setAttribute('style',hs);
			this._tooltip_bg.ggTextDiv.innerHTML=me.hotspot.title;
			this._tooltip_bg.appendChild(this._tooltip_bg__text);
			this._tooltip.appendChild(this._tooltip_bg);
			this._tooltip_face=document.createElement('div');
			this._tooltip_face__text=document.createElement('div');
			this._tooltip_face.className='ggskin ggskin_textdiv';
			this._tooltip_face.ggTextDiv=this._tooltip_face__text;
			this._tooltip_face.ggId="tooltip_face";
			this._tooltip_face.ggParameter={ rx:0,ry:0,a:0,sx:1.2,sy:1.2 };
			this._tooltip_face.ggVisible=true;
			this._tooltip_face.className='ggskin ggskin_text';
			this._tooltip_face.ggType='text';
			this._tooltip_face.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (198-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: 9px;';
			hs+='top:  -8px;';
			hs+='width: 198px;';
			hs+='height: 32px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._tooltip_face.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._tooltip_face.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #dd19ff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._tooltip_face__text.setAttribute('style',hs);
			this._tooltip_face.ggTextDiv.innerHTML=me.hotspot.title;
			this._tooltip_face.appendChild(this._tooltip_face__text);
			this._tooltip.appendChild(this._tooltip_face);
			this.__div.appendChild(this._tooltip);
			this.hotspotTimerEvent=function() {
				setTimeout(function() { me.hotspotTimerEvent(); }, 10);
				if (me.elementMouseOver['hs_image']) {
					me._hs_image.ggText="Waar gaan we heen?";
					me._hs_image.ggTextDiv.innerHTML=me._hs_image.ggText;
					if (me._hs_image.ggUpdateText) {
						me._hs_image.ggUpdateText=function() {
							var hs="Waar gaan we heen?";
							if (hs!=me._hs_image.ggText) {
								me._hs_image.ggText=hs;
								me._hs_image.ggTextDiv.innerHTML=hs;
							}
						}
					}
				}
			}
			this.hotspotTimerEvent();
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};